petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecAXPBYPCZ

Computes z = alpha x + beta y + gamma z

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAXPBYPCZ(Vec z,PetscScalar alpha,PetscScalar beta,PetscScalar gamma,Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

| alpha,beta, gamma | - the scalars
| x, y, z | - the vectors

### Output Parameter

z -output vector

Notes: x, y and z must be different vectors

Developer Note: alpha = 1 or gamma = 1 or gamma = 0.0 are handled as special cases

### See Also

VecAYPX(), VecMAXPY(), VecWAXPY(), VecAXPY()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages